Loading...
Searching...
No Matches
message_id.hpp File Reference

An AMQP message ID. More...

`#include "./binary.hpp"`
`#include "./scalar_base.hpp"`
`#include "./uuid.hpp"`
`#include <proton/type_compat.h>`
`#include <string>`
Include dependency graph for message_id.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | message_id
| An AMQP message ID. More...

## Namespaces

namespace | proton
| The main Proton namespace.

## Functions

template<>
uint64_t | get< uint64_t > (const message_id &x)
| Get the uint64_t value or throw conversion_error.
template<>
uuid | get< uuid > (const message_id &x)
| Get the uuid value or throw conversion_error.
template<>
binary | get< binary > (const message_id &x)
| Get the binary value or throw conversion_error.
template<>
std::string | get< std::string > (const message_id &x)
| Get the std::string value or throw conversion_error.
template<class T >
T | coerce (const message_id &x)
| Coerce the contained value to type T.

## Detailed Description

An AMQP message ID.